# Greetings #

This plugin is used to create an encrypted SQL dump file containing data related to a specific course(s) that can be exported to 
the AAT analytics tool at https://www.academicanalytics.ca/

The goal of the Academic Analytics Tool (AAT) is to address this gap by allowing users without computer science skills (e.g., teachers, learning designers, etc.) to 
directly access and analyze the huge amounts of educational data stored within LMSs. This plugin allows instructors to export the data related to their courses, so it 
can be used within AAT.

The user interface is simply and easy to use. It can be accessed by clicking on the AAT plugin link under the More tab of your home page.
Once in the plugin home screen, all that needs to be done is to select the courses you want to download data from to generate and then download
the encrypted SQL dump file. 

Behind the scenes, the plugin operates in three steps.

First it creates a database schema by combining all the install.xml files in your moodle directory and converting the xml file into
SQL statements to generate all the tables.

Second, it looks at all the tables that are directly or indirectly related to the "mdl_course" tables with foreign keys and creates a list of tables
that will be used to extract data.

Finally, the plugin will extract data from the database which is related to the course(s) selected by the instructor.
Note that the user can only select courses in which he is an instructor. The original moodle database is not modified during this operation, only read statements are used
to create "insert" statements for the SQL dump file. This file is then encrypted and the user can download it.

Once downloaded, the user can upload it to the AAT tool mentioned above.

## Installing via uploaded ZIP file ##

1. Log in to your Moodle site as an admin and go to _Site administration >
   Plugins > Install plugins_.
2. Upload the ZIP file with the plugin code. You should only be prompted to add
   extra details if your plugin type is not automatically detected.
3. Check the plugin validation report and finish the installation.

## Installing manually ##

The plugin can be also installed by putting the contents of this directory to

    {your/moodle/dirroot}/local/aatplugin

Afterwards, log in to your Moodle site as an admin and go to _Site administration >
Notifications_ to complete the installation.

Alternatively, you can run

    $ php admin/cli/upgrade.php

to complete the installation from the command line.

## License ##

2023 Joseph Larochelle <larochellejo@hotmail.com>

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <https://www.gnu.org/licenses/>.
